Get mobile push notification settings for a device

GET https://api.cryptohopper.com/v1/user/mobilepushnotifications/{player_id}

Returns per notification type whether push notifications are on ("1") or off ("0") for the user's mobile app.

OAuth scope: user About scopes

Returns the same data as Get mobile push notification settings.

Example request

curl "https://api.cryptohopper.com/v1/user/mobilepushnotifications/PLAYER_ID" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
player_id string Required Push notification player ID of the device. It is currently ignored: settings are stored per user.

Response

Example response (illustrative values)

{
    "data": {
        "config_error": "1",
        "on_first_start": "1",
        "on_trigger": "1",
        "on_panic_end": "1",
        "on_panic_start": "1",
        "order_placed": "1",
        "trade_completed": "1",
        "order_cancelled": "0",
        "deleted": "0",
        "receiving_notifications": "1",
        "position_change": "0",
        "aibot_proposal": "1"
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.